# -*- coding: utf-8 -*-
# Generated by Django 1.11.29 on 2020-09-01 14:37
from __future__ import unicode_literals

import core.file_system
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import repository.models


class Migration(migrations.Migration):

    dependencies = [
        ('repository', '0009_auto_20200820_1212'),
    ]

    operations = [
        migrations.CreateModel(
            name='PreprintSupplementaryFile',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('url', models.URLField()),
                ('label', models.CharField(default='Supplementary File', max_length=200, verbose_name='Label')),
                ('order', models.PositiveIntegerField(default=0)),
            ],
            options={
                'ordering': ('order',),
            },
        ),
        migrations.AddField(
            model_name='preprint',
            name='preprint_doi',
            field=models.CharField(blank=True, help_text='System supplied DOI. ', max_length=100, null=True, verbose_name='Preprint DOI'),
        ),
        migrations.AlterField(
            model_name='preprint',
            name='doi',
            field=models.CharField(blank=True, help_text="You can add a DOI linking to this item's published version using this field. Please provide the full DOI ie. https://doi.org/10.1017/CBO9781316161012.", max_length=100, null=True, verbose_name='Published DOI'),
        ),
        migrations.AlterField(
            model_name='preprint',
            name='meta_image',
            field=models.ImageField(blank=True, null=True, storage=core.file_system.JanewayFileSystemStorage(location='/Users/btingle/code/j2/src/media'), upload_to=repository.models.preprint_file_upload),
        ),
        migrations.AlterField(
            model_name='preprint',
            name='owner',
            field=models.ForeignKey(help_text='The account that submitted this item.', null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AlterField(
            model_name='repository',
            name='logo',
            field=models.ImageField(blank=True, null=True, storage=core.file_system.JanewayFileSystemStorage(location='/Users/btingle/code/j2/src/media'), upload_to=repository.models.repo_media_upload),
        ),
        migrations.AddField(
            model_name='preprintsupplementaryfile',
            name='preprint',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='repository.Preprint'),
        ),
        migrations.AlterUniqueTogether(
            name='preprintsupplementaryfile',
            unique_together=set([('url', 'preprint')]),
        ),
    ]
